> For the complete documentation index, see [llms.txt](https://docs.sign.global/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sign.global/for-builders/index/index-1/attestations.md).

# Attestations

### Single Attestation

```
GET /index/attestations/{id}
```

Retrieve the data of an attestation by providing an attestation ID.

Query Parameters:

| Key | Value                    | Type   |
| --- | ------------------------ | ------ |
| id  | onchain\_evm\_80001\_0x3 | string |

\* Optional parameter.

Response:

```json
{
  "success": true,
  "statusCode": 200,
  "data": {
    "id": "onchain_evm_80001_0x3",
    "mode": "onchain",
    "chainType": "evm",
    "chainId": "80001",
    "attestationId": "0x3",
    "transactionHash": "0x9e83cc789a457e0bcaa0cd5457c6a1aae4f4db8138193a3179ef33059d82f6d6",
    "indexingValue": "0x059e6B8008d34aC26581fD3ED8378AA93c7941EE",
    "schemaId": "0x1",
    "fullSchemaId": "onchain_evm_80001_0x1",
    "linkedAttestation": "",
    "attester": "0x059e6B8008d34aC26581fD3ED8378AA93c7941EE",
    "attestTimestamp": "1705485146",
    "validUntil": "0",
    "revoked": false,
    "revokeTimestamp": null,
    "revokeReason": null,
    "revokeTransactionHash": "",
    "data": "0x0000000000000000000000000000000000000000000000000000000000000020000000000000000000000000000000000000000000000000000000000000002000000000000000000000000000000000000000000000000000000000000000033232320000000000000000000000000000000000000000000000000000000000",
    "dataLocation": "ONCHAIN",
    "extra": "{}",
    "syncAt": "1705653417309",
    "lastSyncAt": null,
    "recipients": [],
    "schema": {
      "id": "onchain_evm_80001_0x1",
      "mode": "onchain",
      "chainType": "evm",
      "chainId": "80001",
      "schemaId": "0x1",
      "transactionHash": "0x97e69df2e65e97001da22953a4376233d792c50810cf3bff0fff1a14e7374b60",
      "name": "xxx",
      "description": "",
      "revocable": true,
      "maxValidFor": "0",
      "resolver": "0x0000000000000000000000000000000000000000",
      "registerTimestamp": "1705387959",
      "registrant": "0x9854E76134e6D729A633CED51042fF653f04f4C5",
      "data": [
        {
          "name": "name",
          "type": "string"
        }
      ],
      "extra": null,
      "syncAt": "1705932587177"
    }
  },
  "message": "ok"
}
```

### Attestation Info

```typescript
GET / scan / attestations / { id };
```

Get the data of an attestation by providing the attestation ID.

Query Parameters:

| Key | Value                    | Type   |
| --- | ------------------------ | ------ |
| id  | onchain\_evm\_80001\_0xd | string |

\* Optional parameter.

Response:

```json
{
  "success": true,
  "statusCode": 200,
  "data": {
    "id": "onchain_evm_80001_0xd",
    "mode": "onchain",
    "chainType": "evm",
    "chainId": "80001",
    "attestationId": "0xd",
    "transactionHash": "0x5154a89cc54e30d2d9a0c53aedbebdf1a07e864287d52696af352899bba913fe",
    "indexingValue": "0x059e6B8008d34aC26581fD3ED8378AA93c7941EE",
    "schemaId": "0x1",
    "fullSchemaId": "onchain_evm_80001_0x1",
    "linkedAttestation": "",
    "attester": "0x059e6B8008d34aC26581fD3ED8378AA93c7941EE",
    "attestTimestamp": "1705542705",
    "validUntil": "0",
    "revoked": false,
    "revokeTimestamp": null,
    "revokeReason": null,
    "revokeTransactionHash": "",
    "data": "0x0000000000000000000000000000000000000000000000000000000000000020000000000000000000000000000000000000000000000000000000000000002000000000000000000000000000000000000000000000000000000000000000033232320000000000000000000000000000000000000000000000000000000000",
    "dataLocation": "ONCHAIN",
    "recipients": [
      "0x059e6B8008d34aC26581fD3ED8378AA93c7941EE",
      "0x2e6CEFDe38e2363be4CE8497bee68E23004ADfB4"
    ],
    "schema": {
      "id": "onchain_evm_80001_0x1",
      "schemaId": "0x1",
      "name": "xxx",
      "data": [
        {
          "name": "name",
          "type": "string"
        }
      ]
    }
  },
  "message": "ok"
}
```

### Filtered Attestations

```typescript
GET / index / attestations;
```

Query for a list of attestations using one or more filtering parameters. Results can be paginated with customizable page sizes.

Query Parameters:

| Key             | Value                                      | Type                 |
| --------------- | ------------------------------------------ | -------------------- |
| id\*            | onchain\_evm\_80001\_0xb                   | string               |
| page\*          | 1                                          | number               |
| mode\*          | onchain                                    | "onchain"/"offchain" |
| indexingValue\* | 0x34A6d2B552c34be8136d18773Fa79036c8315180 | string               |
| schemaId\*      | onchain\_evm\_80001\_0x3                   | string               |
| attester\*      | 0x8d10d37bf3c50c9dd34a4bc70987cd60f8f4a463 | string               |
| size\*          | 100                                        | number               |

\* Optional parameter.

Response:

```json
{
  "success": true,
  "statusCode": 200,
  "data": {
    "total": 1,
    "rows": [
      {
        "id": "onchain_evm_80001_0xb",
        "mode": "onchain",
        "chainType": "evm",
        "chainId": "80001",
        "attestationId": "0xb",
        "transactionHash": "0xd6a6207a429a7fcc02dedf60db021befb3c2fd8296086f386f5595985c4ccea3",
        "indexingValue": "0x059e6B8008d34aC26581fD3ED8378AA93c7941EE",
        "schemaId": "0x1",
        "fullSchemaId": "onchain_evm_80001_0x1",
        "linkedAttestation": "",
        "attester": "0x059e6B8008d34aC26581fD3ED8378AA93c7941EE",
        "attestTimestamp": "1705485350",
        "validUntil": "0",
        "revoked": true,
        "revokeTimestamp": "1705912687",
        "revokeReason": null,
        "revokeTransactionHash": "0x031e6400760d517f2ec008e017dc3be0fecceb6b583aa61505e4f19e93c5a7b9",
        "data": "0x0000000000000000000000000000000000000000000000000000000000000020000000000000000000000000000000000000000000000000000000000000002000000000000000000000000000000000000000000000000000000000000000033232320000000000000000000000000000000000000000000000000000000000",
        "dataLocation": "ONCHAIN",
        "extra": "{}",
        "syncAt": "1705653417309",
        "lastSyncAt": null,
        "recipients": [],
        "schema": {
          "id": "onchain_evm_80001_0x1",
          "mode": "onchain",
          "chainType": "evm",
          "chainId": "80001",
          "schemaId": "0x1",
          "transactionHash": "0x97e69df2e65e97001da22953a4376233d792c50810cf3bff0fff1a14e7374b60",
          "name": "xxx",
          "description": "",
          "revocable": true,
          "maxValidFor": "0",
          "resolver": "0x0000000000000000000000000000000000000000",
          "registerTimestamp": "1705387959",
          "registrant": "0x9854E76134e6D729A633CED51042fF653f04f4C5",
          "data": [
            {
              "name": "name",
              "type": "string"
            }
          ],
          "extra": null,
          "syncAt": "1705932587177"
        }
      }
    ],
    "size": 100,
    "page": 1
  },
  "message": "ok"
}
```

### Filter Attestations by Schema

```typescript
GET / scan / attestations;
```

Get attestations for a schema by providing the relevant schema ID.

Query Parameters:

| Key      | Value                    | Type   |
| -------- | ------------------------ | ------ |
| schemaId | onchain\_evm\_80001\_0x1 | string |

\* Optional parameter.

Response:

```json
{
    "success": true,
    "statusCode": 200,
    "data": {
        "total": 17,
        "rows": [
            {
                "id": "onchain_evm_80001_0x21",
                "mode": "onchain",
                "chainType": "evm",
                "chainId": "80001",
                "attestationId": "0x21",
                "schemaId": "0x1",
                "attester": "0x9854E76134e6D729A633CED51042fF653f04f4C5",
                "attestTimestamp": "1706065910",
                "recipients": []
            },
            ...
        ],
        "page": 1,
        "size": 10
    },
    "message": "ok"
}
```

### Paged Attestations

```typescript
GET / scan / attestations;
```

Query attestations by providing the fields and a relevant keyword. Results may be paged if the query returns many results.

Query Parameters:

| Key       | Value  | Type     |
| --------- | ------ | -------- |
| fields\*  | detail | "detail" |
| page\*    | 1      | number   |
| keyword\* | 0x1    | string   |

\* Optional parameter.

Response:

```json
{
    "success": true,
    "statusCode": 200,
    "data": {
        "total": 52,
        "rows": [
            {
                "id": "onchain_evm_80001_0x21",
                "mode": "onchain",
                "chainType": "evm",
                "chainId": "80001",
                "attestationId": "0x21",
                "schemaId": "0x1",
                "attester": "0x9854E76134e6D729A633CED51042fF653f04f4C5",
                "attestTimestamp": "1706065910",
                "recipients": [],
                "schema": {
                    "id": "onchain_evm_80001_0x1",
                    "chainType": "evm",
                    "chainId": "80001",
                    "schemaId": "0x1",
                    "name": "xxx"
                }
            },
            ...
        ],
        "page": 1,
        "size": 10
    },
    "message": "ok"
}
```

### Address Attestations

```typescript
GET / scan / addresses / { address } / attestations;
```

Get a list of addresses that a given address has created.

Query Parameters:

| Key     | Value                                      | Type   |
| ------- | ------------------------------------------ | ------ |
| address | 0x059e6B8008d34aC26581fD3ED8378AA93c7941EE | string |

\* Optional parameter.

Response:

```json
{
    "success": true,
    "statusCode": 200,
    "data": {
        "total": 14,
        "rows": [
            {
                "id": "onchain_evm_80001_0x4",
                "mode": "onchain",
                "chainType": "evm",
                "chainId": "80001",
                "attestationId": "0x4",
                "transactionHash": "0xe0fcf6d8e3fc2040e2fc94395144d15ca43fba75de247f650150772e2692b768",
                "indexingValue": "0x059e6B8008d34aC26581fD3ED8378AA93c7941EE",
                "schemaId": "0x1",
                "fullSchemaId": "onchain_evm_80001_0x1",
                "linkedAttestation": "",
                "attester": "0x059e6B8008d34aC26581fD3ED8378AA93c7941EE",
                "attestTimestamp": "1705485310",
                "validUntil": "0",
                "revoked": false,
                "revokeTimestamp": null,
                "revokeReason": null,
                "revokeTransactionHash": "",
                "data": "0x0000000000000000000000000000000000000000000000000000000000000020000000000000000000000000000000000000000000000000000000000000002000000000000000000000000000000000000000000000000000000000000000033232320000000000000000000000000000000000000000000000000000000000",
                "dataLocation": "ONCHAIN",
                "extra": "{}",
                "syncAt": "1705653417309",
                "lastSyncAt": null,
                "recipients": [],
                "schema": {
                    "id": "onchain_evm_80001_0x1",
                    "schemaId": "0x1",
                    "name": "xxx",
                    "description": ""
                }
            },
            ...
        ],
        "page": 1,
        "size": 10
    },
    "message": "ok"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sign.global/for-builders/index/index-1/attestations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
